#!/bin/bash
SERVERNAME=prometheus-01-med-docker
CONFIG_VOLUME=3a6ab01f-9d1e-4da9-a4f1-14215ad27b8e

echo "Creating VM ${SERVERNAME}"
openstack server create  \
--image ubuntu-16.04.4-amd64 \
--user-data data-${SERVERNAME}.yaml \
--key-name "Sebastian Rojo" \
--flavor m1.medium.ld \
--min 1 \
--max 1 \
--security-group DefaultSapian \
--security-group WebApp \
--availability-zone prometheus \
--nic net-id=41f72a3e-eecf-4c85-aec5-0007ad1a0201 \
--wait \
${SERVERNAME}

for RUN in {1..50}; do
    if [ "$(openstack server show ${SERVERNAME} | awk '/status/ {print $4}')" == "ACTIVE" ]
    then
      openstack server show ${SERVERNAME}
      echo "${SERVERNAME} Active. Attahing config..."
      echo "${SERVERNAME} Active. Attahing CONFIG_VOLUME ${CONFIG_VOLUME}..."
      openstack server add volume --device /dev/vdb ${SERVERNAME} ${CONFIG_VOLUME}
      #openstack server add floating ip ${SERVERNAME} 172.16.253.108
      openstack volume show ${CONFIG_VOLUME}

      exit 0
    else
      echo "VM ${SERVERNAME} is not active yet"
      sleep 2
    fi
done
